// 秒寻科技
// 系统主控
// zt
// 2023-03-04

#ifndef __SYSMAIN_H__
#define __SYSMAIN_H__

#include "../sysdefine/sysdef.h"

// 供外部使用的接口
void sysmain_init();
uint8 sysmain_audio_signal_process();
int32 *sysmain_get_current_location_coord();
uint8 *sysmain_get_soft_name_and_version_data_address();
void sysmain_free_memory();

// 内部接口
void sysmain_init_lct();
void sysmain_save_current_location_coord(PUB_CURRENT_LCT_RESULT_T *pstLctResult);
void sysmain_consume_location_data(PUB_LOCATION_DATA_T *pstLocationData);
void sysmain_organize_soft_name_and_version(uint8 *pbyData);

#endif